diff --git a/src/providers/ldap/sdap_async_initgroups.c b/src/providers/ldap/sdap_async_initgroups.c
index c7169dd..cd2d1b0 100644
--- a/src/providers/ldap/sdap_async_initgroups.c
+++ b/src/providers/ldap/sdap_async_initgroups.c
@@ -87,7 +87,7 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
             continue;
         } else if (ret != ENOENT) {
             DEBUG(SSSDBG_CRIT_FAILURE, "search for group failed [%d]: %s\n",
-                      ret, strerror(ret));
+                      ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -107,7 +107,7 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Cannot start sysdb transaction [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
     in_transaction = true;
@@ -268,7 +268,7 @@ int sdap_initgr_common_store(struct sysdb_ctx *sysdb,
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                      ret, strerror(ret));
+                  ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -306,7 +306,7 @@ int sdap_initgr_common_store(struct sysdb_ctx *sysdb,
                                (const char *const *) del_groups);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Membership update failed [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -595,7 +595,7 @@ sdap_nested_groups_store(struct sysdb_ctx *sysdb,
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                    ret, strerror(ret));
+                    ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -611,7 +611,7 @@ sdap_nested_groups_store(struct sysdb_ctx *sysdb,
                                      groups, count);
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_FUNC, "Could not add incomplete groups [%d]: %s\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1017,7 +1017,7 @@ static void sdap_initgr_nested_store(struct tevent_req *req)
     ret = sdap_initgr_store_groups(state);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE, "Could not save groups [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -1026,7 +1026,7 @@ static void sdap_initgr_nested_store(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not save group memberships [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -1035,7 +1035,7 @@ static void sdap_initgr_nested_store(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not save user memberships [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -1111,7 +1111,7 @@ sdap_initgr_store_group_memberships(struct sdap_initgr_nested_state *state)
         if (ret) {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Could not compute memberships for group %d [%d]: %s\n",
-                      i, ret, strerror(ret));
+                      i, ret, sss_strerror(ret));
             goto done;
         }
 
@@ -1228,7 +1228,7 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                      ret, strerror(ret));
+                      ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -1238,7 +1238,7 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not get direct sysdb parents for %s: %d [%s]\n",
-                   state->username, ret, strerror(ret));
+                   state->username, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1264,7 +1264,7 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not update sysdb memberships for %s: %d [%s]\n",
-                  state->username, ret, strerror(ret));
+                  state->username, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1325,7 +1325,7 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not get direct sysdb parents for %s: %d [%s]\n",
-                   group_name, ret, strerror(ret));
+                   group_name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1338,7 +1338,7 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
                                                 &parents_count);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Cannot get parent groups for %s [%d]: %s\n",
-                  group_name, ret, strerror(ret));
+                  group_name, ret, sss_strerror(ret));
         goto done;
     }
     DEBUG(SSSDBG_TRACE_LIBS,
@@ -1354,7 +1354,7 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                        ret, strerror(ret));
+                        ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -1364,7 +1364,7 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not build membership diff for %s [%d]: %s\n",
-                  group_name, ret, strerror(ret));
+                  group_name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1862,7 +1862,7 @@ save_rfc2307bis_groups(struct sdap_initgr_rfc2307bis_state *state)
                                    groups, count);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE, "Could not save groups [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -2006,7 +2006,7 @@ rfc2307bis_group_memberships_build(hash_entry_t *item, void *user_data)
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not get direct sysdb parents for %s: %d [%s]\n",
-                  group_name, ret, strerror(ret));
+                  group_name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -2025,7 +2025,7 @@ rfc2307bis_group_memberships_build(hash_entry_t *item, void *user_data)
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not build membership diff for %s [%d]: %s\n",
-                  group_name, ret, strerror(ret));
+                  group_name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -2068,7 +2068,7 @@ errno_t save_rfc2307bis_user_memberships(
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not get direct sysdb parents for %s: %d [%s]\n",
-                   state->name, ret, strerror(ret));
+                   state->name, ret, sss_strerror(ret));
         goto error;
     }
 
@@ -2564,7 +2564,7 @@ static void rfc2307bis_nested_groups_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_FUNC, "rfc2307bis_nested failed [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -3048,7 +3048,7 @@ static void sdap_get_initgr_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret) {
         DEBUG(SSSDBG_TRACE_ALL, "Error in initgroups: [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -3189,7 +3189,7 @@ static errno_t get_sysdb_grouplist_ex(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Error searching user [%s] by name: [%s]\n",
-               name, strerror(ret));
+               name, sss_strerror(ret));
         goto done;
     }
 
@@ -3224,7 +3224,8 @@ static errno_t get_sysdb_grouplist_ex(TALLOC_CTX *mem_ctx,
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
                           "Could not determine group name from [%s]: [%s]\n",
-                           (const char *)groups->values[i].data, strerror(ret));
+                           (const char *)groups->values[i].data,
+                           sss_strerror(ret));
                     goto done;
                 }
             }
diff --git a/src/providers/ldap/sdap_async_nested_groups.c b/src/providers/ldap/sdap_async_nested_groups.c
index c521e08..eb2c04f 100644
--- a/src/providers/ldap/sdap_async_nested_groups.c
+++ b/src/providers/ldap/sdap_async_nested_groups.c
@@ -654,14 +654,14 @@ sdap_nested_group_send(TALLOC_CTX *mem_ctx,
     ret = sss_hash_create(state->group_ctx, 32, &state->group_ctx->users);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to create hash table [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         goto immediately;
     }
 
     ret = sss_hash_create(state->group_ctx, 32, &state->group_ctx->groups);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to create hash table [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -709,7 +709,7 @@ sdap_nested_group_send(TALLOC_CTX *mem_ctx,
     ret = sdap_nested_group_hash_group(state->group_ctx, group);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to insert group into hash table "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -852,7 +852,7 @@ sdap_nested_group_process_send(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_string(group, SYSDB_ORIG_DN, &orig_dn);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve original dn "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -872,7 +872,7 @@ sdap_nested_group_process_send(TALLOC_CTX *mem_ctx,
         goto immediately;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve member list "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -1271,7 +1271,7 @@ sdap_nested_group_single_step_process(struct tevent_req *subreq)
             goto done;
         } else if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE, "Unable to save user in hash table "
-                                        "[%d]: %s\n", ret, strerror(ret));
+                                        "[%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
         break;
@@ -1314,7 +1314,7 @@ sdap_nested_group_single_step_process(struct tevent_req *subreq)
             goto done;
         } else if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE, "Unable to save group in hash table "
-                                        "[%d]: %s\n", ret, strerror(ret));
+                                        "[%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
 
@@ -1348,7 +1348,7 @@ static void sdap_nested_group_single_step_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Error processing direct membership "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1399,7 +1399,7 @@ static void sdap_nested_group_single_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Error processing nested groups "
-                                    "[%d]: %s\n.", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -2189,7 +2189,7 @@ sdap_nested_group_deref_direct_process(struct tevent_req *subreq)
             if (ret != EOK && ret != EEXIST) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Unable to save user in hash table "
-                       "[%d]: %s\n", ret, strerror(ret));
+                       "[%d]: %s\n", ret, sss_strerror(ret));
                 goto done;
             }
 
@@ -2216,7 +2216,7 @@ sdap_nested_group_deref_direct_process(struct tevent_req *subreq)
             } else if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Unable to save group in hash table "
-                       "[%d]: %s\n", ret, strerror(ret));
+                       "[%d]: %s\n", ret, sss_strerror(ret));
                 goto done;
             }
 
@@ -2265,7 +2265,7 @@ static void sdap_nested_group_deref_direct_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Error processing direct membership "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/ldap/sdap_async_services.c b/src/providers/ldap/sdap_async_services.c
index 54f3ffb..d6f9948 100644
--- a/src/providers/ldap/sdap_async_services.c
+++ b/src/providers/ldap/sdap_async_services.c
@@ -403,7 +403,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Failed to identify service port: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -413,7 +413,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Failed to identify service protocols: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -424,7 +424,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
                 "Failed to get case_sensitive protocols names: [%s]\n",
-                strerror(ret));
+                sss_strerror(ret));
             goto done;
         }
     }
@@ -437,7 +437,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     if (ret && ret != ENOENT) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Failed to retrieve USN value: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
     if (ret == ENOENT || el->num_values == 0) {
@@ -451,7 +451,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
         if (ret) {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Failed to add USN value: [%s]\n",
-                   strerror(ret));
+                   sss_strerror(ret));
             goto done;
         }
         usn_value = talloc_strdup(tmp_ctx, (const char*)el->values[0].data);
@@ -469,7 +469,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Failed to identify removed attributes: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -480,7 +480,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Failed to store service in the sysdb: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/ldap/sdap_async_sudo.c b/src/providers/ldap/sdap_async_sudo.c
index b4899cb..24bbb34 100644
--- a/src/providers/ldap/sdap_async_sudo.c
+++ b/src/providers/ldap/sdap_async_sudo.c
@@ -216,7 +216,8 @@ static int sdap_sudo_refresh_retry(struct tevent_req *req)
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "sdap_id_op_connect_send() failed: %d(%s)\n", ret, strerror(ret));
+              "sdap_id_op_connect_send() failed: %d(%s)\n",
+              ret, sss_strerror(ret));
         talloc_zfree(state->sdap_op);
         state->dp_error = DP_ERR_FATAL;
         state->error = ret;
@@ -249,7 +250,7 @@ static void sdap_sudo_refresh_connect_done(struct tevent_req *subreq)
         return;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "SUDO LDAP connection failed - %s\n", strerror(ret));
+              "SUDO LDAP connection failed - %s\n", sss_strerror(ret));
         goto fail;
     }
 
@@ -555,7 +556,8 @@ static int sdap_sudo_purge_sudoers(struct sss_domain_info *dom,
                                          &name);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      "Failed to retrieve rule name: [%s]\n", strerror(ret));
+                      "Failed to retrieve rule name: [%s]\n",
+                      sss_strerror(ret));
                 continue;
             }
 
@@ -563,7 +565,7 @@ static int sdap_sudo_purge_sudoers(struct sss_domain_info *dom,
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
                       "Failed to delete rule %s: [%s]\n",
-                       name, strerror(ret));
+                       name, sss_strerror(ret));
                 continue;
             }
         }
@@ -580,7 +582,7 @@ static int sdap_sudo_purge_sudoers(struct sss_domain_info *dom,
 done:
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "failed to purge sudo rules [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
     }
 
     return ret;
@@ -608,7 +610,7 @@ static int sdap_sudo_store_sudoers(TALLOC_CTX *mem_ctx,
                                          _usn);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "failed to save sudo rules [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/ldap/sdap_async_sudo_hostinfo.c b/src/providers/ldap/sdap_async_sudo_hostinfo.c
index 42f95df..14cd915 100644
--- a/src/providers/ldap/sdap_async_sudo_hostinfo.c
+++ b/src/providers/ldap/sdap_async_sudo_hostinfo.c
@@ -93,7 +93,8 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
                                  &state->hostnames, NULL);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  "Unable to parse hostnames [%d]: %s\n", ret, strerror(ret));
+                  "Unable to parse hostnames [%d]: %s\n", ret,
+                  sss_strerror(ret));
             goto done;
         } else {
             DEBUG(SSSDBG_CONF_SETTINGS,
@@ -107,7 +108,7 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Unable to parse IP addresses [%d]: %s\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
             goto done;
         } else {
             DEBUG(SSSDBG_CONF_SETTINGS, "IP addresses set to: %s\n",
@@ -121,7 +122,7 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Unable to detect IP addresses [%d]: %s\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         }
     }
 
@@ -163,7 +164,7 @@ static void sdap_sudo_get_hostinfo_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve hostnames [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -467,7 +468,7 @@ static void sdap_sudo_get_hostnames_done(struct tevent_req *subreq)
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not resolve fqdn for this machine, error [%d]: %s, "
-               "resolver returned: [%d]: %s\n", ret, strerror(ret),
+               "resolver returned: [%d]: %s\n", ret, sss_strerror(ret),
                resolv_status, resolv_strerror(resolv_status));
         tevent_req_error(req, ret);
         return;
diff --git a/src/providers/ldap/sdap_async_users.c b/src/providers/ldap/sdap_async_users.c
index be0536e..1e1a245 100644
--- a/src/providers/ldap/sdap_async_users.c
+++ b/src/providers/ldap/sdap_async_users.c
@@ -165,7 +165,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
         ret = sysdb_attrs_add_string(user_attrs, SYSDB_SID_STR, sid_str);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE, "Could not add SID string: [%s]\n",
-                                         strerror(ret));
+                                         sss_strerror(ret));
             goto done;
         }
     } else if (ret == ENOENT) {
@@ -173,7 +173,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
         sid_str = NULL;
     } else {
         DEBUG(SSSDBG_MINOR_FAILURE, "Could not identify objectSID: [%s]\n",
-                                     strerror(ret));
+                                     sss_strerror(ret));
         sid_str = NULL;
     }
 
diff --git a/src/providers/ldap/sdap_autofs.c b/src/providers/ldap/sdap_autofs.c
index 5432a6f..d1187ca 100644
--- a/src/providers/ldap/sdap_autofs.c
+++ b/src/providers/ldap/sdap_autofs.c
@@ -273,7 +273,7 @@ sdap_autofs_get_map_done(struct tevent_req *subreq)
         if (ret != EOK && ret != ENOENT) {
             DEBUG(SSSDBG_OP_FAILURE,
                 "Cannot delete autofs map %s [%d]: %s\n",
-                 state->map_name, ret, strerror(ret));
+                 state->map_name, ret, sss_strerror(ret));
             tevent_req_error(req, ret);
             return;
         }
@@ -307,6 +307,6 @@ sdap_autofs_handler_done(struct tevent_req *req)
     errno_t ret;
 
     ret = sdap_autofs_get_map_recv(req, &dperr);
-    sdap_handler_done(be_req, dperr, ret, strerror(ret));
+    sdap_handler_done(be_req, dperr, ret, sss_strerror(ret));
 }
 
diff --git a/src/providers/ldap/sdap_child_helpers.c b/src/providers/ldap/sdap_child_helpers.c
index 448c5af..496f626 100644
--- a/src/providers/ldap/sdap_child_helpers.c
+++ b/src/providers/ldap/sdap_child_helpers.c
@@ -398,7 +398,8 @@ int sdap_get_tgt_recv(struct tevent_req *req,
                                &res, &krberr, &ccn, &expire_time);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Cannot parse child response: [%d][%s]\n", ret, strerror(ret));
+              "Cannot parse child response: [%d][%s]\n", ret,
+              sss_strerror(ret));
         return ret;
     }
 
@@ -467,7 +468,7 @@ int sdap_setup_child(void)
         ret = open_debug_file_ex(LDAP_CHILD_LOG_FILE, &debug_filep, false);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error setting up logging (%d) [%s]\n",
-                        ret, strerror(ret));
+                        ret, sss_strerror(ret));
             return ret;
         }
 
diff --git a/src/providers/ldap/sdap_domain.c b/src/providers/ldap/sdap_domain.c
index d7e3dc3..a5e5897 100644
--- a/src/providers/ldap/sdap_domain.c
+++ b/src/providers/ldap/sdap_domain.c
@@ -105,7 +105,7 @@ sdap_domain_add(struct sdap_options *opts,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
             "Cannot convert domain name [%s] to base DN [%d]: %s\n",
-            dom->name, ret, strerror(ret));
+            dom->name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -151,7 +151,7 @@ sdap_domain_subdom_add(struct sdap_id_ctx *sdap_id_ctx,
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
                     "Cannot add new sdap domain for domain %s [%d]: %s\n",
-                    parent->name, ret, strerror(ret));
+                    parent->name, ret, sss_strerror(ret));
                 return ret;
             }
         } else {
diff --git a/src/providers/ldap/sdap_dyndns.c b/src/providers/ldap/sdap_dyndns.c
index 1c5611b..8cc74b1 100644
--- a/src/providers/ldap/sdap_dyndns.c
+++ b/src/providers/ldap/sdap_dyndns.c
@@ -218,7 +218,7 @@ sdap_dyndns_dns_addrs_done(struct tevent_req *subreq)
         ret = sdap_dyndns_addrs_diff(state, &do_update);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE, "Could not check the diff between DNS "
-                  "and current addresses [%d]: %s\n", ret, strerror(ret));
+                  "and current addresses [%d]: %s\n", ret, sss_strerror(ret));
             tevent_req_error(req, ret);
             return;
         }
diff --git a/src/providers/ldap/sdap_id_op.c b/src/providers/ldap/sdap_id_op.c
index 508bbd2..d0ca91e 100644
--- a/src/providers/ldap/sdap_id_op.c
+++ b/src/providers/ldap/sdap_id_op.c
@@ -566,7 +566,7 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
             /* be is going offline as there is no more servers to try */
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Failed to connect, going offline (%d [%s])\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
             be_mark_offline(conn_cache->id_conn->id_ctx->be);
         }
         is_offline = true;
@@ -694,7 +694,8 @@ static void sdap_id_op_connect_done(struct tevent_req *subreq)
             sdap_id_op_connect_req_complete(op, DP_ERR_OFFLINE, EAGAIN);
         } else {
             DEBUG(SSSDBG_TRACE_ALL,
-                  "notify error to op #%d: %d [%s]\n", notify_count, ret, strerror(ret));
+                  "notify error to op #%d: %d [%s]\n", notify_count, ret,
+                  sss_strerror(ret));
             sdap_id_op_connect_req_complete(op, DP_ERR_FATAL, ret);
         }
     }
@@ -748,7 +749,7 @@ static void sdap_id_op_connect_reinit_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to perform reinitialization "
-              "clean up [%d]: %s\n", ret, strerror(ret));
+              "clean up [%d]: %s\n", ret, sss_strerror(ret));
         /* not fatal */
         return;
     }
diff --git a/src/providers/ldap/sdap_idmap.c b/src/providers/ldap/sdap_idmap.c
index 3826035..9a3cea5 100644
--- a/src/providers/ldap/sdap_idmap.c
+++ b/src/providers/ldap/sdap_idmap.c
@@ -226,7 +226,7 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not read ID mappings from the cache: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -268,7 +268,7 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Could not add domain [%s][%s][%"SPRIid"] "
                        "to ID map: [%s]\n",
-                       dom_name, sid_str, slice_num, strerror(ret));
+                       dom_name, sid_str, slice_num, sss_strerror(ret));
                 goto done;
             }
         }
@@ -294,7 +294,7 @@ sdap_idmap_init(TALLOC_CTX *mem_ctx,
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Could not add domain [%s][%s][%u] to ID map: [%s]\n",
-                       dom_name, sid_str, 0, strerror(ret));
+                       dom_name, sid_str, 0, sss_strerror(ret));
                 goto done;
             }
         } else {
diff --git a/src/providers/ldap/sdap_reinit.c b/src/providers/ldap/sdap_reinit.c
index 265453f..a2e5e76 100644
--- a/src/providers/ldap/sdap_reinit.c
+++ b/src/providers/ldap/sdap_reinit.c
@@ -75,7 +75,7 @@ struct tevent_req* sdap_reinit_cleanup_send(TALLOC_CTX *mem_ctx,
     ret = sdap_reinit_clear_usn(state->sysdb, state->domain);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to clear USN attributes [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         goto immediately;
     }
 
@@ -166,7 +166,7 @@ static errno_t sdap_reinit_clear_usn(struct sysdb_ctx *sysdb,
     ret = sysdb_search_services(tmp_ctx, domain, "", attrs, &msgs_num, &msgs);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Cannot search services [%d]: %s\n", ret, strerror(ret));
+              "Cannot search services [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -207,7 +207,7 @@ static void sdap_reinit_cleanup_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Domain enumeration failed [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         goto fail;
     }
 
